﻿/*
    <Rs485 Dinamic Library Demo>
    Copyright (C) <2013>  <Ernesto Gigliotti>

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.

*/
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Rs485Lib;

namespace MainDemo
{
    class Program
    {
        static void Main(string[] args)
        {
            // COM3 - 115200
            Rs485 port = new Rs485(3, 115200);
            if (port.openPort())
            {
                Console.WriteLine("Port Opened");
                byte[] bufferTx = new byte[4];
                bufferTx[0] = 1;
                bufferTx[1] = 2;
                bufferTx[2] = 3;
                bufferTx[3] = 4;
                Console.WriteLine("send bytes");
                port.sendPacket(bufferTx);

                byte[] rcv = port.receivePacketWithTimeout(10000);
                if (rcv != null)
                {
                    Console.WriteLine("Received bytes:" + rcv.Length);
                }

                port.closePort();
            }
            else
            {
                Console.WriteLine("Error opening port");
            }
        }
    }
}
